{% extends 'Soutenances/base.html' %}

{% block title %} Liste des événements {% endblock %}

{% block contenu %}
    {% if user.groupe == "admin" or user.groupe == "professeurs" %}
    <a href="{% url 'Soutenances:evenement_form' %}">
        <button class="btn btn-primary"><i class="glyphicon glyphicon-plus-sign"></i> Ajouter événement </button>
    </a>
    {% endif %}
    {% if user.is_authenticated %}
    {% for event in evenements %}
    <ul class="list-group">
        <li class="list-group-item"> Nom : {{event.nom}} </li>
        <li class="list-group-item"> <i class="glyphicon glyphicon-hourglass"></i> Debut : {{event.date_debut}} </li>
        <li class="list-group-item"> <i class="glyphicon glyphicon-hourglass"></i> Fin : {{event.date_fin}} </li>
        <li class="list-group-item"> <i class="glyphicon glyphicon-hourglass"></i> Duree : {{event.dureeSoutenances}} </li>
        <li class="list-group-item"> Nom responsable : {{event.enseignant}} </li>
        <li class="list-group-item"> Groupe TD : {{event.groupe}} </li>
        <li class="list-group-item">
          {% if user.groupe == "admin" or user.nom == event.enseignant.nom or user.classe == event.groupe.nom and user.groupe == "eleves" %}
          <a href="{% url 'Soutenances:evenement_detail' event.pk %}" ><button class="btn btn-info"><i class="glyphicon glyphicon-search"></i></button></a>
          {% endif %}
          {% if user.groupe == "admin" or user.nom == event.enseignant.nom %}
          <a href="{% url 'Soutenances:evenement_update' event.pk %}" ><button class="btn btn-warning"><i class="glyphicon glyphicon-pencil"></i></button></a>
          <a href="{% url 'Soutenances:evenement_delete' event.pk %}" ><button class="btn btn-danger"><i class="glyphicon glyphicon-trash"></i></button></a>
          {% endif %}
        </li>
    </ul>
    {% endfor %}
    {% else %}
    <div class="alert alert-danger" role="alert">
      Vous <strong>n'avez pas accès</strong> à cette page !
    </div>
    {% endif %}
{% endblock %}
